> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agipower.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a prediction



## OpenAPI

````yaml /openapi.json post /v1/predictions
openapi: 3.1.0
info:
  title: AGIPower API
  version: 1.0.0
  description: >-
    Interactive API reference for AGIPower-compatible OpenAI, Anthropic, Google
    Vertex AI, and management endpoints.
servers:
  - url: https://api.agipower.ai
security:
  - bearerAuth: []
paths:
  /v1/predictions:
    post:
      tags:
        - Predictions API
      summary: Create a prediction
      operationId: createPrediction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  example: replicate/black-forest-labs/flux-schnell
                input:
                  type: object
                  additionalProperties: true
              additionalProperties: true
      responses:
        '200':
          description: Created prediction
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````